> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cynopsis.co/llms.txt
> Use this file to discover all available pages before exploring further.

# updateOcrResult



## OpenAPI

````yaml put /api/customer/{customerId}/document/{documentId}/ocr
openapi: 3.1.0
info:
  description: Api Documentation
  version: '3.0'
  title: Api Documentation
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.artemis.cynopsis.co
security: []
tags:
  - name: app-config-controller
    description: App Config Controller
  - name: asia-verify-controller
    description: Asia Verify Controller
  - name: authentication-controller
    description: Authentication Controller
  - name: authentication-manager-controller
    description: Authentication Manager Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: comment-controller
    description: Comment Controller
  - name: customer-controller
    description: Customer Controller
  - name: dashboard-controller
    description: Dashboard Controller
  - name: domain-controller
    description: Domain Controller
  - name: expiring-document-controller
    description: Expiring Document Controller
  - name: hand-shake-controller
    description: Hand Shake Controller
  - name: media-controller
    description: Media Controller
  - name: on-going-due-diligent-controller
    description: On Going Due Diligent Controller
  - name: own-restricted-list-controller
    description: Own Restricted List Controller
  - name: periodic-review-controller
    description: Periodic Review Controller
  - name: quick-scan-controller
    description: Quick Scan Controller
  - name: user-controller
    description: User Controller
paths:
  /api/customer/{customerId}/document/{documentId}/ocr:
    put:
      tags:
        - customer-controller
      summary: updateOcrResult
      operationId: putOcrResult
      parameters:
        - name: customerId
          in: path
          description: customerId
          required: true
          schema:
            type: integer
            format: int64
        - name: documentId
          in: path
          description: documentId
          required: true
          schema:
            type: integer
            format: int64
        - name: X-Domain-ID
          in: header
          description: X-Domain-ID
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOcrResultRequestDto'
        description: OcrResultRequestDto
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/UpdateOcrResultResponseDto'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      security:
        - OAuth2_Client_Credentials: []
        - OAuth2_Password: []
components:
  schemas:
    UpdateOcrResultRequestDto:
      type: object
      properties:
        error:
          type: string
        result:
          $ref: '#/components/schemas/AresOcrResultDto'
        task_id:
          type: string
        description:
          type: string
        status_task:
          type: string
      title: UpdateOcrResultRequestDto
    UpdateOcrResultResponseDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        createdBy:
          $ref: '#/components/schemas/UserInfo'
        updatedBy:
          $ref: '#/components/schemas/UserInfo'
        customerId:
          type: integer
          format: int64
        frontName:
          type: string
        backName:
          type: string
        type:
          type: string
        number:
          type: string
        authenticity:
          type: string
        issueDate:
          type: string
          format: date
        expiryDate:
          type: string
          format: date
        showExpiryNotification:
          type: boolean
        front:
          type: string
        back:
          type: string
        docverCheckStatus:
          type: string
          enum:
            - PERFORMED
            - NOT_PERFORMED
        faceCompare:
          type: object
        liveness:
          type: object
        other:
          type: object
        allowedDocumentFormat:
          type: boolean
      title: UpdateOcrResultResponseDto
    AresOcrResultDto:
      type: object
      properties:
        race:
          type: string
        gender:
          type: string
        status:
          type: string
        address:
          type: string
        domicile:
          type: string
        employer:
          type: string
        full_name:
          type: string
        full_name2:
          type: string
        last_name:
          type: string
        birth date:
          type: string
          format: date
        final hash:
          type: string
        first_name:
          type: string
        identifier:
          type: string
        issue_date:
          type: string
          format: date
        profession:
          type: string
        expiry date:
          type: string
        expiry_date:
          type: string
        nationality:
          type: string
        docver_check:
          type: object
          properties:
            dataCheck:
              type: object
              properties:
                overall:
                  type: object
                  properties:
                    result:
                      type: string
                    certaintyLevel:
                      type: string
                  required:
                    - result
                    - certaintyLevel
                mrzCheck:
                  type: object
                  properties:
                    parsed:
                      type: string
                    overall:
                      type: string
                    checkDigits:
                      type: string
                  required:
                    - parsed
                    - overall
                    - checkDigits
                logicCheck:
                  type: object
                  properties:
                    overall:
                      type: string
                    dateLogicCheck:
                      type: object
                      properties:
                        overall:
                          type: string
                        dateOfBirthInPastCheck:
                          type: string
                        dateOfIssueInPastCheck:
                          type: string
                        dateOfBirthBeforeDateOfIssueCheck:
                          type: string
                        dateOfBirthBeforeDateOfExpiryCheck:
                          type: string
                        dateOfIssueBeforeDateOfExpiryCheck:
                          type: string
                      required:
                        - overall
                        - dateOfBirthInPastCheck
                        - dateOfIssueInPastCheck
                        - dateOfBirthBeforeDateOfIssueCheck
                        - dateOfBirthBeforeDateOfExpiryCheck
                        - dateOfIssueBeforeDateOfExpiryCheck
                    documentNumberLogic:
                      type: object
                      properties:
                        overall:
                          type: string
                      required:
                        - overall
                    customerIdNumberLogic:
                      type: object
                      properties:
                        overall:
                          type: string
                      required:
                        - overall
                    personalIdNumberLogic:
                      type: object
                      properties:
                        overall:
                          type: string
                      required:
                        - overall
                    documentDiscriminatorLogic:
                      type: object
                      properties:
                        overall:
                          type: string
                      required:
                        - overall
                    inventoryControlNumberLogic:
                      type: object
                      properties:
                        overall:
                          type: string
                      required:
                        - overall
                  required:
                    - overall
                    - dateLogicCheck
                    - documentNumberLogic
                    - customerIdNumberLogic
                    - personalIdNumberLogic
                    - documentDiscriminatorLogic
                    - inventoryControlNumberLogic
                matchCheck:
                  type: object
                  properties:
                    overall:
                      type: object
                      properties:
                        result:
                          type: string
                      required:
                        - result
                    raceMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    addressMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    employerMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    fullNameMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    lastNameMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    religionMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    firstNameMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    professionMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    dateOfBirthMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    dateOfIssueMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    dateOfExpiryMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    placeOfBirthMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    maritalStatusMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    documentNumberMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    personalIdNumberMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    residentialStatusMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    documentAdditionalNumberMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    documentOptionalAdditionalNumberMatch:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                  required:
                    - overall
                    - raceMatch
                    - addressMatch
                    - employerMatch
                    - fullNameMatch
                    - lastNameMatch
                    - religionMatch
                    - firstNameMatch
                    - professionMatch
                    - dateOfBirthMatch
                    - dateOfIssueMatch
                    - dateOfExpiryMatch
                    - placeOfBirthMatch
                    - maritalStatusMatch
                    - documentNumberMatch
                    - personalIdNumberMatch
                    - residentialStatusMatch
                    - documentAdditionalNumberMatch
                    - documentOptionalAdditionalNumberMatch
                formatCheck:
                  type: object
                  properties:
                    overall:
                      type: string
                    sexCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    religionCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    dateOfBirthCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    dateOfIssueCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    nationalityCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    dateOfExpiryCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    maritalStatusCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    documentNumberCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    classExpiryDateCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    issuingAuthorityCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    personalIdNumberCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    classEffectiveDateCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    documentAdditionalNumberCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    additionalPersonalIdNumberCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                    documentOptionalAdditionalNumberCheck:
                      type: object
                      properties:
                        type:
                          type: string
                        check:
                          type: string
                      required:
                        - type
                        - check
                  required:
                    - overall
                    - sexCheck
                    - religionCheck
                    - dateOfBirthCheck
                    - dateOfIssueCheck
                    - nationalityCheck
                    - dateOfExpiryCheck
                    - maritalStatusCheck
                    - documentNumberCheck
                    - classExpiryDateCheck
                    - issuingAuthorityCheck
                    - personalIdNumberCheck
                    - classEffectiveDateCheck
                    - documentAdditionalNumberCheck
                    - additionalPersonalIdNumberCheck
                    - documentOptionalAdditionalNumberCheck
                dataIntegrityCheck:
                  type: string
                barcodeAnomalyCheck:
                  type: object
                  properties:
                    overall:
                      type: object
                      properties:
                        result:
                          type: string
                      required:
                        - result
                    readCheck:
                      type: string
                    contentCheck:
                      type: string
                  required:
                    - overall
                    - readCheck
                    - contentCheck
                suspiciousDataCheck:
                  type: object
                  properties:
                    overall:
                      type: object
                      properties:
                        result:
                          type: string
                        certaintyLevel:
                          type: string
                      required:
                        - result
                        - certaintyLevel
                    sampleStringCheck:
                      type: object
                      properties:
                        result:
                          type: string
                        certaintyLevel:
                          type: string
                      required:
                        - result
                        - certaintyLevel
                    suspiciousNumberCheck:
                      type: object
                      properties:
                        result:
                          type: string
                        certaintyLevel:
                          type: string
                      required:
                        - result
                        - certaintyLevel
                  required:
                    - overall
                    - sampleStringCheck
                    - suspiciousNumberCheck
              required:
                - overall
                - mrzCheck
                - logicCheck
                - matchCheck
                - formatCheck
                - dataIntegrityCheck
                - barcodeAnomalyCheck
                - suspiciousDataCheck
            visualCheck:
              type: object
              properties:
                overall:
                  type: object
                  properties:
                    result:
                      type: string
                  required:
                    - result
                securityFeatures:
                  type: object
                  properties:
                    overall:
                      type: object
                      properties:
                        result:
                          type: string
                      required:
                        - result
                    segmentResult:
                      type: array
                      items:
                        type: object
                  required:
                    - overall
                    - segmentResult
                photoForgeryCheck:
                  type: object
                  properties:
                    result:
                      type: string
                  required:
                    - result
              required:
                - overall
                - securityFeatures
                - photoForgeryCheck
            extractionResult:
              type: object
              properties:
                sex:
                  type: object
                  properties:
                    latin:
                      type: string
                  required:
                    - latin
                backViz:
                  type: object
                  properties:
                    dateOfBirth:
                      type: string
                      format: date
                    dateOfIssue:
                      type: string
                      format: date
                    dateOfExpiry:
                      type: string
                      format: date
                    dateOfExpiryPermanent:
                      type: boolean
                    driverLicenseDetailedInfo:
                      type: object
                      properties:
                        vehicleClassesInfo:
                          type: array
                          items:
                            type: object
                      required:
                        - vehicleClassesInfo
                  required:
                    - dateOfBirth
                    - dateOfIssue
                    - dateOfExpiry
                    - dateOfExpiryPermanent
                    - driverLicenseDetailedInfo
                barcode:
                  type: object
                  properties:
                    sex:
                      type: string
                    race:
                      type: string
                    address:
                      type: string
                    employer:
                      type: string
                    fullName:
                      type: string
                    lastName:
                      type: string
                    religion:
                      type: string
                    firstName:
                      type: string
                    middleName:
                      type: string
                    profession:
                      type: string
                    stringData:
                      type: string
                    dateOfBirth:
                      type: string
                      format: date
                    dateOfIssue:
                      type: string
                      format: date
                    nationality:
                      type: string
                    dateOfExpiry:
                      type: string
                      format: date
                    placeOfBirth:
                      type: string
                    maritalStatus:
                      type: string
                    rawDataBase64:
                      type: string
                    documentNumber:
                      type: string
                    extendedElements:
                      type: array
                      items:
                        type: object
                    issuingAuthority:
                      type: string
                    personalIdNumber:
                      type: string
                    residentialStatus:
                      type: string
                    addressDetailedInfo:
                      type: object
                      properties:
                        city:
                          type: string
                        street:
                          type: string
                        postalCode:
                          type: string
                        jurisdiction:
                          type: string
                      required:
                        - city
                        - street
                        - postalCode
                        - jurisdiction
                    documentAdditionalNumber:
                      type: string
                    additionalNameInformation:
                      type: string
                    driverLicenseDetailedInfo:
                      type: object
                      properties:
                        conditions:
                          type: string
                        endorsements:
                          type: string
                        restrictions:
                          type: string
                        vehicleClass:
                          type: string
                        vehicleClassesInfo:
                          type: array
                          items:
                            type: object
                      required:
                        - conditions
                        - endorsements
                        - restrictions
                        - vehicleClass
                        - vehicleClassesInfo
                  required:
                    - sex
                    - race
                    - address
                    - employer
                    - fullName
                    - lastName
                    - religion
                    - firstName
                    - middleName
                    - profession
                    - stringData
                    - dateOfBirth
                    - dateOfIssue
                    - nationality
                    - dateOfExpiry
                    - placeOfBirth
                    - maritalStatus
                    - rawDataBase64
                    - documentNumber
                    - extendedElements
                    - issuingAuthority
                    - personalIdNumber
                    - residentialStatus
                    - addressDetailedInfo
                    - documentAdditionalNumber
                    - additionalNameInformation
                    - driverLicenseDetailedInfo
                mrzData:
                  type: object
                  properties:
                    opt1:
                      type: string
                    gender:
                      type: string
                    issuer:
                      type: string
                    mrzParsed:
                      type: boolean
                    primaryId:
                      type: string
                    issuerName:
                      type: string
                    dateOfBirth:
                      type: object
                      properties:
                        day:
                          type: number
                        year:
                          type: number
                        month:
                          type: number
                        originalString:
                          type: string
                        successfullyParsed:
                          type: boolean
                        filledByDomainKnowledge:
                          type: boolean
                      required:
                        - day
                        - year
                        - month
                        - originalString
                        - successfullyParsed
                        - filledByDomainKnowledge
                    mrzVerified:
                      type: boolean
                    nationality:
                      type: string
                    secondaryId:
                      type: string
                    dateOfExpiry:
                      type: object
                      properties:
                        day:
                          type: number
                        year:
                          type: number
                        month:
                          type: number
                        originalString:
                          type: string
                        successfullyParsed:
                          type: boolean
                        filledByDomainKnowledge:
                          type: boolean
                      required:
                        - day
                        - year
                        - month
                        - originalString
                        - successfullyParsed
                        - filledByDomainKnowledge
                    documentCode:
                      type: string
                    documentType:
                      type: string
                    rawMrzString:
                      type: string
                    documentNumber:
                      type: string
                    nationalityName:
                      type: string
                  required:
                    - opt1
                    - gender
                    - issuer
                    - mrzParsed
                    - primaryId
                    - issuerName
                    - dateOfBirth
                    - mrzVerified
                    - nationality
                    - secondaryId
                    - dateOfExpiry
                    - documentCode
                    - documentType
                    - rawMrzString
                    - documentNumber
                    - nationalityName
                frontViz:
                  type: object
                  properties:
                    dateOfBirth:
                      type: string
                      format: date
                    dateOfIssue:
                      type: string
                      format: date
                    dateOfExpiry:
                      type: string
                      format: date
                    dateOfExpiryPermanent:
                      type: boolean
                    driverLicenseDetailedInfo:
                      type: object
                      properties:
                        vehicleClassesInfo:
                          type: array
                          items:
                            type: object
                      required:
                        - vehicleClassesInfo
                  required:
                    - dateOfBirth
                    - dateOfIssue
                    - dateOfExpiry
                    - dateOfExpiryPermanent
                    - driverLicenseDetailedInfo
                lastName:
                  type: object
                  properties:
                    latin:
                      type: string
                  required:
                    - latin
                classInfo:
                  type: object
                  properties:
                    type:
                      type: string
                    region:
                      type: string
                    country:
                      type: string
                    countryName:
                      type: string
                    isoAlpha2CountryCode:
                      type: string
                    isoAlpha3CountryCode:
                      type: string
                    isoNumericCountryCode:
                      type: string
                  required:
                    - type
                    - region
                    - country
                    - countryName
                    - isoAlpha2CountryCode
                    - isoAlpha3CountryCode
                    - isoNumericCountryCode
                firstName:
                  type: object
                  properties:
                    latin:
                      type: string
                  required:
                    - latin
                dateOfBirth:
                  type: object
                  properties:
                    day:
                      type: number
                    year:
                      type: number
                    month:
                      type: number
                    originalString:
                      type: object
                      properties:
                        latin:
                          type: string
                      required:
                        - latin
                    successfullyParsed:
                      type: boolean
                    filledByDomainKnowledge:
                      type: boolean
                  required:
                    - day
                    - year
                    - month
                    - originalString
                    - successfullyParsed
                    - filledByDomainKnowledge
                dateOfIssue:
                  type: string
                  format: date
                nationality:
                  type: object
                  properties:
                    latin:
                      type: string
                  required:
                    - latin
                dateOfExpiry:
                  type: object
                  properties:
                    day:
                      type: number
                    year:
                      type: number
                    month:
                      type: number
                    originalString:
                      type: object
                      properties:
                        latin:
                          type: string
                      required:
                        - latin
                    successfullyParsed:
                      type: boolean
                    filledByDomainKnowledge:
                      type: boolean
                  required:
                    - day
                    - year
                    - month
                    - originalString
                    - successfullyParsed
                    - filledByDomainKnowledge
                documentNumber:
                  type: object
                  properties:
                    latin:
                      type: string
                  required:
                    - latin
                dataMatchResult:
                  type: object
                  properties:
                    dateOfBirth:
                      type: string
                    dateOfExpiry:
                      type: string
                    documentNumber:
                      type: string
                    dataMatchResult:
                      type: string
                    personalIdNumber:
                      type: string
                    documentAdditionalNumber:
                      type: string
                    documentOptionalAdditionalNumber:
                      type: string
                  required:
                    - dateOfBirth
                    - dateOfExpiry
                    - documentNumber
                    - dataMatchResult
                    - personalIdNumber
                    - documentAdditionalNumber
                    - documentOptionalAdditionalNumber
                recognitionMode:
                  type: string
                processingStatus:
                  type: string
                recognitionStatus:
                  type: string
                backProcessingStatus:
                  type: string
                dateOfExpiryPermanent:
                  type: boolean
                frontProcessingStatus:
                  type: string
                scanningFirstSideDone:
                  type: boolean
                backImageAnalysisResult:
                  type: object
                  properties:
                    blurred:
                      type: boolean
                    cardRotation:
                      type: string
                    cardOrientation:
                      type: string
                    mrzDetectionStatus:
                      type: string
                    faceDetectionStatus:
                      type: string
                    realIDDetectionStatus:
                      type: string
                    barcodeDetectionStatus:
                      type: string
                    documentImageColorStatus:
                      type: string
                    documentImageMoireStatus:
                      type: string
                  required:
                    - blurred
                    - cardRotation
                    - cardOrientation
                    - mrzDetectionStatus
                    - faceDetectionStatus
                    - realIDDetectionStatus
                    - barcodeDetectionStatus
                    - documentImageColorStatus
                    - documentImageMoireStatus
                frontImageAnalysisResult:
                  type: object
                  properties:
                    blurred:
                      type: boolean
                    cardRotation:
                      type: string
                    cardOrientation:
                      type: string
                    mrzDetectionStatus:
                      type: string
                    faceDetectionStatus:
                      type: string
                    realIDDetectionStatus:
                      type: string
                    barcodeDetectionStatus:
                      type: string
                    documentImageColorStatus:
                      type: string
                    documentImageMoireStatus:
                      type: string
                  required:
                    - blurred
                    - cardRotation
                    - cardOrientation
                    - mrzDetectionStatus
                    - faceDetectionStatus
                    - realIDDetectionStatus
                    - barcodeDetectionStatus
                    - documentImageColorStatus
                    - documentImageMoireStatus
                driverLicenseDetailedInfo:
                  type: object
                  properties:
                    vehicleClassesInfo:
                      type: array
                      items:
                        type: object
                  required:
                    - vehicleClassesInfo
                backAdditionalProcessingInfo:
                  type: object
                  properties:
                    extraPresentFields:
                      type: array
                      items:
                        type: object
                    invalidCharacterFields:
                      type: array
                      items:
                        type: object
                    missingMandatoryFields:
                      type: array
                      items:
                        type: object
                  required:
                    - extraPresentFields
                    - invalidCharacterFields
                    - missingMandatoryFields
                frontAdditionalProcessingInfo:
                  type: object
                  properties:
                    extraPresentFields:
                      type: array
                      items:
                        type: object
                    invalidCharacterFields:
                      type: array
                      items:
                        type: object
                    missingMandatoryFields:
                      type: array
                      items:
                        type: object
                  required:
                    - extraPresentFields
                    - invalidCharacterFields
                    - missingMandatoryFields
              required:
                - sex
                - backViz
                - barcode
                - mrzData
                - frontViz
                - lastName
                - classInfo
                - firstName
                - dateOfBirth
                - dateOfIssue
                - nationality
                - dateOfExpiry
                - documentNumber
                - dataMatchResult
                - recognitionMode
                - processingStatus
                - recognitionStatus
                - backProcessingStatus
                - dateOfExpiryPermanent
                - frontProcessingStatus
                - scanningFirstSideDone
                - backImageAnalysisResult
                - frontImageAnalysisResult
                - driverLicenseDetailedInfo
                - backAdditionalProcessingInfo
                - frontAdditionalProcessingInfo
            processingStatus:
              type: string
            imageQualityCheck:
              type: object
              properties:
                overall:
                  type: object
                  properties:
                    result:
                      type: string
                    certaintyLevel:
                      type: string
                  required:
                    - result
                    - certaintyLevel
              required:
                - overall
            overallFraudCheck:
              type: object
              properties:
                result:
                  type: object
                  properties:
                    result:
                      type: string
                    certaintyLevel:
                      type: string
                  required:
                    - result
                    - certaintyLevel
                performedChecks:
                  type: number
              required:
                - result
                - performedChecks
            recognitionStatus:
              type: string
            documentLivenessCheck:
              type: object
              properties:
                overall:
                  type: object
                  properties:
                    result:
                      type: string
                  required:
                    - result
                screenCheck:
                  type: object
                  properties:
                    result:
                      type: string
                    matchLevel:
                      type: string
                  required:
                    - result
                    - matchLevel
                photocopyCheck:
                  type: object
                  properties:
                    result:
                      type: string
                    matchLevel:
                      type: string
                  required:
                    - result
                    - matchLevel
                handPresenceCheck:
                  type: string
              required:
                - overall
                - screenCheck
                - photocopyCheck
                - handPresenceCheck
            documentValidityCheck:
              type: object
              properties:
                overall:
                  type: string
                expiredCheck:
                  type: string
                versionCheck:
                  type: string
              required:
                - overall
                - expiredCheck
                - versionCheck
          required:
            - dataCheck
            - visualCheck
            - extractionResult
            - processingStatus
            - imageQualityCheck
            - overallFraudCheck
            - recognitionStatus
            - documentLivenessCheck
            - documentValidityCheck
        date_of_birth:
          type: string
        document_type:
          type: string
        optional_data:
          type: string
        ignored_fields:
          type: array
          items:
            type: string
        missing_fields:
          type: array
          items:
            type: object
        mrz_raw_string:
          type: string
        birth date hash:
          type: string
        document_number:
          type: string
        issuing_country:
          type: string
        passport_number:
          type: string
        country_of_birth:
          type: string
        expiry date hash:
          type: string
        optional data hash:
          type: string
        personal_id_number:
          type: string
        valid country code:
          type: string
        valid genre format:
          type: string
        document number hash:
          type: string
        document type format:
          type: string
        optional data format:
          type: string
        passport_expiry_date:
          type: string
        document number format:
          type: string
        valid nationality code:
          type: string
      title: AresOcrResultDto
    UserInfo:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        fullName:
          type: string
        id:
          type: integer
          format: int64
        lastName:
          type: string
      title: UserInfo
  securitySchemes:
    OAuth2_Client_Credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}
    OAuth2_Password:
      type: oauth2
      flows:
        password:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}

````